python-pyproj (3.7.1-1build1) plucky; urgency=medium

  * No-change rebuild with Python 3.13 only

 -- Graham Inggs <ginggs@ubuntu.com>  Tue, 04 Mar 2025 16:17:30 +0000

python-pyproj (3.7.1-1) unstable; urgency=medium

  * New upstream release.
  * Move from experimental to unstable.

 -- Bas Couwenberg <sebastic@debian.org>  Sun, 16 Feb 2025 06:52:14 +0100

python-pyproj (3.7.1~rc0-1~exp1) experimental; urgency=medium

  * New upstream release candidate.

 -- Bas Couwenberg <sebastic@debian.org>  Sat, 15 Feb 2025 07:32:44 +0100

python-pyproj (3.7.0-1) unstable; urgency=medium

  * New upstream release.
  * Move from experimental to unstable.

 -- Bas Couwenberg <sebastic@debian.org>  Tue, 01 Oct 2024 15:33:05 +0200

python-pyproj (3.7.0~rc0-1~exp1) experimental; urgency=medium

  * New upstream release candidate.
  * Update copyright file.
  * Drop proj patches, fixed upstream.

 -- Bas Couwenberg <sebastic@debian.org>  Mon, 30 Sep 2024 05:37:44 +0200

python-pyproj (3.6.1-5) unstable; urgency=medium

  * Bump Standards-Version to 4.7.0, no changes.
  * Add patch to fix FTBFS with PROJ 9.5.0.

 -- Bas Couwenberg <sebastic@debian.org>  Thu, 12 Sep 2024 05:38:14 +0200

python-pyproj (3.6.1-4) unstable; urgency=medium

  * Drop obsolete python3-mock build dependency.
    (closes: #1066144)
  * Add patch to fix FTBFS with PROJ 9.4.1.

 -- Bas Couwenberg <sebastic@debian.org>  Wed, 29 May 2024 09:40:18 +0200

python-pyproj (3.6.1-3) unstable; urgency=medium

  * Add upstream patch to fix FTBFS with PROJ 9.4.0.

 -- Bas Couwenberg <sebastic@debian.org>  Wed, 28 Feb 2024 05:27:39 +0100

python-pyproj (3.6.1-2) unstable; urgency=medium

  * Drop RC-buggy python3-xarray from build dependencies.
    (closes: #1055843)

 -- Bas Couwenberg <sebastic@debian.org>  Sun, 12 Nov 2023 16:16:37 +0100

python-pyproj (3.6.1-1) unstable; urgency=medium

  * New upstream release.
  * Move from experimental to unstable.

 -- Bas Couwenberg <sebastic@debian.org>  Thu, 21 Sep 2023 06:20:44 +0200

python-pyproj (3.6.1~rc0-1~exp1) experimental; urgency=medium

  * New upstream release candidate.
  * Use autopkgtest-pkg-pybuild testsuite.
  * Enable Salsa CI.
  * Remove generated files in clean target.
    (closes: #1046443)
  * Switch to dh-sequence-*.
  * Refresh patches.
  * Update lintian overrides.

 -- Bas Couwenberg <sebastic@debian.org>  Tue, 19 Sep 2023 05:22:32 +0200

python-pyproj (3.6.0-1) unstable; urgency=medium

  * New upstream release.
  * Bump debhelper compat to 13.
  * Move from experimental to unstable.

 -- Bas Couwenberg <sebastic@debian.org>  Tue, 13 Jun 2023 05:25:49 +0200

python-pyproj (3.6.0~rc0-1~exp1) experimental; urgency=medium

  * New upstream release candidate.

 -- Bas Couwenberg <sebastic@debian.org>  Fri, 09 Jun 2023 06:15:46 +0200

python-pyproj (3.5.0-1~exp1) experimental; urgency=medium

  * New upstream release.
  * Drop xfail.patch, fixed upstream.

 -- Bas Couwenberg <sebastic@debian.org>  Tue, 28 Mar 2023 05:23:35 +0200

python-pyproj (3.5.0~rc0-1~exp1) experimental; urgency=medium

  * New upstream release candidate.
  * Enable numpy3 dh helper.
  * Bump Standards-Version to 4.6.2, no changes.
  * Update copyright file.
  * Bump minimum required PROJ to 9.0.0.
  * Add patch to ignore certain test failures.

 -- Bas Couwenberg <sebastic@debian.org>  Sat, 25 Mar 2023 07:32:10 +0100

python-pyproj (3.4.1-1) unstable; urgency=medium

  * New upstream release.

 -- Bas Couwenberg <sebastic@debian.org>  Tue, 13 Dec 2022 09:04:12 +0100

python-pyproj (3.4.1~rc0-1~exp1) unstable; urgency=medium

  * New upstream release candidate.

 -- Bas Couwenberg <sebastic@debian.org>  Sat, 10 Dec 2022 07:58:36 +0100

python-pyproj (3.4.0-2) unstable; urgency=medium

  * Add Rules-Requires-Root to control file.
  * Add patch to not set RPATH in libraries.

 -- Bas Couwenberg <sebastic@debian.org>  Thu, 01 Dec 2022 17:26:42 +0100

python-pyproj (3.4.0-1) unstable; urgency=medium

  * New upstream release.
  * Move from experimental to unstable.

 -- Bas Couwenberg <sebastic@debian.org>  Sat, 10 Sep 2022 06:34:52 +0200

python-pyproj (3.4.0~rc2-1~exp1) experimental; urgency=medium

  * New upstream release candidate.
  * Drop setuptools.patch, applied upstream.

 -- Bas Couwenberg <sebastic@debian.org>  Fri, 09 Sep 2022 06:40:27 +0200

python-pyproj (3.4.0~rc1-1~exp1) experimental; urgency=medium

  * New upstream release candidate.
  * Unconditionally use PROJ_DATA.
  * Bump minimum required PROJ to 8.2.0.
  * Drop pr1099-PROJ_DATA.patch, included upstream.
  * Add pybuild-plugin-pyproject to build dependencies.

 -- Bas Couwenberg <sebastic@debian.org>  Thu, 08 Sep 2022 08:23:17 +0200

python-pyproj (3.3.1-2) unstable; urgency=medium

  * Bump Standards-Version to 4.6.1, no changes.
  * Add upstream patch to support PROJ_DATA.
  * Export PROJ_DATA in rules for PROJ >= 9.1.0~.

 -- Bas Couwenberg <sebastic@debian.org>  Sat, 27 Aug 2022 19:37:41 +0200

python-pyproj (3.3.1-1) unstable; urgency=medium

  * New upstream release.
  * Move from experimental to unstable.

 -- Bas Couwenberg <sebastic@debian.org>  Fri, 22 Apr 2022 06:31:37 +0200

python-pyproj (3.3.1~rc0-1~exp1) experimental; urgency=medium

  * New upstream release candidate.
  * Update copyright file.

 -- Bas Couwenberg <sebastic@debian.org>  Thu, 21 Apr 2022 05:23:46 +0200

python-pyproj (3.3.0-2) unstable; urgency=medium

  * Build for all supported Python versions again.
    (closes: #1000899)

 -- Bas Couwenberg <sebastic@debian.org>  Fri, 03 Dec 2021 07:35:51 +0100

python-pyproj (3.3.0-1) unstable; urgency=medium

  * New upstream release.
  * Only build for the default Python, numpy has not been built with 3.10 yet.
  * Move from experimental to unstable.

 -- Bas Couwenberg <sebastic@debian.org>  Thu, 18 Nov 2021 06:24:23 +0100

python-pyproj (3.3~rc0-1~exp1) experimental; urgency=medium

  * New upstream release candidate.
  * Drop proj-8.2.patch, fixed upstream.
  * Bump minimum required PROJ to 8.0.0.

 -- Bas Couwenberg <sebastic@debian.org>  Sun, 14 Nov 2021 06:14:51 +0100

python-pyproj (3.2.1-2) unstable; urgency=medium

  * Add patch to fix test failures with PROJ 8.2.0.
    (closes: #998596)

 -- Bas Couwenberg <sebastic@debian.org>  Thu, 04 Nov 2021 21:24:58 +0100

python-pyproj (3.2.1-1) unstable; urgency=medium

  * New upstream release.
  * Move from experimental to unstable.

 -- Bas Couwenberg <sebastic@debian.org>  Sat, 18 Sep 2021 06:48:37 +0200

python-pyproj (3.2.1~rc0-1~exp1) experimental; urgency=medium

  * New upstream release candidate.
  * Bump Standards-Version to 4.6.0, no changes.
  * Bump debhelper compat to 12, changes:
    - Drop --list-missing from dh_install

 -- Bas Couwenberg <sebastic@debian.org>  Wed, 15 Sep 2021 07:30:23 +0200

python-pyproj (3.2.0-1) unstable; urgency=medium

  * New upstream release.
  * Move from experimental to unstable.

 -- Bas Couwenberg <sebastic@debian.org>  Sat, 04 Sep 2021 07:50:13 +0200

python-pyproj (3.2~rc0-1~exp1) experimental; urgency=medium

  * New upstream release.
  * Add python3-packaging to build dependencies.

 -- Bas Couwenberg <sebastic@debian.org>  Wed, 01 Sep 2021 05:22:20 +0200

python-pyproj (3.1.0-1) unstable; urgency=medium

  * Move from experimental to unstable.

 -- Bas Couwenberg <sebastic@debian.org>  Sun, 15 Aug 2021 13:13:11 +0200

python-pyproj (3.1.0-1~exp1) experimental; urgency=medium

  * New upstream release.

 -- Bas Couwenberg <sebastic@debian.org>  Tue, 25 May 2021 05:48:19 +0200

python-pyproj (3.1~rc1-1~exp1) experimental; urgency=medium

  * New upstream release candidate.
  * Drop test_geod patch, included upstream.

 -- Bas Couwenberg <sebastic@debian.org>  Sat, 22 May 2021 07:27:51 +0200

python-pyproj (3.1~rc0-1~exp2) experimental; urgency=medium

  * Add upstream patch to fix test failure on 64bit PowerPC.

 -- Bas Couwenberg <sebastic@debian.org>  Thu, 20 May 2021 14:58:55 +0200

python-pyproj (3.1~rc0-1~exp1) experimental; urgency=medium

  * New upstream release candidate.
  * Update watch file for GitHub URL changes.

 -- Bas Couwenberg <sebastic@debian.org>  Wed, 19 May 2021 05:52:44 +0200

python-pyproj (3.0.1-1~exp1) experimental; urgency=medium

  * New upstream release.
  * Update copyright file.

 -- Bas Couwenberg <sebastic@debian.org>  Fri, 05 Mar 2021 06:09:07 +0100

python-pyproj (3.0.1~rc0-1~exp1) experimental; urgency=medium

  * New upstream release candidate.
    (closes: #983223)

 -- Bas Couwenberg <sebastic@debian.org>  Tue, 02 Mar 2021 05:59:12 +0100

python-pyproj (3.0.0-2) unstable; urgency=medium

  * Bump watch file version to 4.
  * Bump Standards-Version to 4.5.1, no changes.
  * Don't build docs, causes FTBFS.
    (closes: #982698)

 -- Bas Couwenberg <sebastic@debian.org>  Sat, 13 Feb 2021 19:21:04 +0100

python-pyproj (3.0.0-1) unstable; urgency=medium

  * Ignore .post releases in watch file.
  * Move from experimental to unstable.

 -- Bas Couwenberg <sebastic@debian.org>  Fri, 06 Nov 2020 10:51:26 +0100

python-pyproj (3.0.0-1~exp1) experimental; urgency=medium

  * New upstream release.

 -- Bas Couwenberg <sebastic@debian.org>  Thu, 05 Nov 2020 05:48:27 +0100

python-pyproj (3.0~rc2-1~exp1) experimental; urgency=medium

  * New upstream release candidate.
  * Don't run tests with cli or grid marker either.

 -- Bas Couwenberg <sebastic@debian.org>  Wed, 04 Nov 2020 06:00:06 +0100

python-pyproj (3.0~rc1-1~exp1) experimental; urgency=medium

  * New upstream release candidate.
  * Don't run tests with network marker.
  * Drop patches, included/applied upstream.

 -- Bas Couwenberg <sebastic@debian.org>  Tue, 03 Nov 2020 05:35:30 +0100

python-pyproj (3.0~rc0+ds1-1~exp1) experimental; urgency=medium

  * New repacked upstream release.
  * Don't exclude docs from upstream tarball.
  * Also build manpages.
  * Add patch to fix spelling errors.

 -- Bas Couwenberg <sebastic@debian.org>  Mon, 02 Nov 2020 16:51:28 +0100

python-pyproj (3.0~rc0+ds-1~exp1) experimental; urgency=medium

  * New upstream release candidate.
  * Drop patches, included upstream.
  * Don't ignore test failures on arm*, mips* & s390x.
  * Add certifi, pandas & xarray to build dependencies.
  * Ignore test failures everywhere.

 -- Bas Couwenberg <sebastic@debian.org>  Mon, 02 Nov 2020 05:46:03 +0100

python-pyproj (2.6.1+ds-4) unstable; urgency=medium

  * Ignore test failures on arm*, mips* & s390x.

 -- Bas Couwenberg <sebastic@debian.org>  Sun, 01 Nov 2020 13:57:26 +0100

python-pyproj (2.6.1+ds-3) unstable; urgency=medium

  * Add patch to fix FTBFS with PROJ 7.2.0.
  * Update lintian overrides.

 -- Bas Couwenberg <sebastic@debian.org>  Sun, 01 Nov 2020 12:18:28 +0100

python-pyproj (2.6.1+ds-2) unstable; urgency=medium

  * Add upstream patch to fix FTBFS with PROJ 7.1.0.
  * Require at least PROJ 7.1.0.

 -- Bas Couwenberg <sebastic@debian.org>  Wed, 01 Jul 2020 15:22:23 +0200

python-pyproj (2.6.1+ds-1) unstable; urgency=medium

  * New upstream release.
  * Drop Breaks for pyresample, fixed upstream.
  * Move from experimental to unstable.

 -- Bas Couwenberg <sebastic@debian.org>  Mon, 04 May 2020 05:42:40 +0200

python-pyproj (2.6.1~rc1+ds-1~exp1) experimental; urgency=medium

  * New upstream release candidate.
  * Add Breaks for rdeps with autopkgtest failures.

 -- Bas Couwenberg <sebastic@debian.org>  Sun, 03 May 2020 06:47:48 +0200

python-pyproj (2.6.1~rc0+ds-1~exp1) experimental; urgency=medium

  * New upstream release candidate.

 -- Bas Couwenberg <sebastic@debian.org>  Sat, 02 May 2020 06:25:38 +0200

python-pyproj (2.6.0+ds-1) unstable; urgency=medium

  * New upstream release.
  * Update copyright file, changes:
    - Update copyright years
    - Change license from MIT-short to Expat
  * Bump debhelper compat to 10, changes:
    - Drop --parallel option, enabled by default
  * Move from experimental to unstable.

 -- Bas Couwenberg <sebastic@debian.org>  Wed, 18 Mar 2020 05:46:33 +0100

python-pyproj (2.6.0~rc0+ds-1~exp1) experimental; urgency=medium

  * New upstream release candidate.

 -- Bas Couwenberg <sebastic@debian.org>  Fri, 13 Mar 2020 06:34:11 +0100

python-pyproj (2.5.0+ds-1) unstable; urgency=medium

  * New upstream release.
  * Move from experimental to unstable.

 -- Bas Couwenberg <sebastic@debian.org>  Sat, 22 Feb 2020 08:04:48 +0100

python-pyproj (2.5~rc0+ds-1~exp1) experimental; urgency=medium

  * New upstream release candidate.
  * Drop patches, included upstream.

 -- Bas Couwenberg <sebastic@debian.org>  Fri, 21 Feb 2020 06:55:18 +0100

python-pyproj (2.4.2+ds-4) unstable; urgency=medium

  * Add upstream patches for PROJ 6.3.x support.
  * Add patch to fix test failure with PROJ 7.0.0.

 -- Bas Couwenberg <sebastic@debian.org>  Wed, 19 Feb 2020 20:09:53 +0100

python-pyproj (2.4.2+ds-3) unstable; urgency=medium

  * Drop Name field from upstream metadata.
  * Bump Standards-Version to 4.5.0, no changes.
  * Add patch to fix FTBFS due to test failures.
    (closes: #950660)

 -- Bas Couwenberg <sebastic@debian.org>  Tue, 04 Feb 2020 16:45:47 +0100

python-pyproj (2.4.2+ds-2) unstable; urgency=medium

  * Move from experimental to unstable.

 -- Bas Couwenberg <sebastic@debian.org>  Mon, 02 Dec 2019 05:46:49 +0100

python-pyproj (2.4.2+ds-1) experimental; urgency=medium

  * New upstream release.

 -- Bas Couwenberg <sebastic@debian.org>  Sun, 01 Dec 2019 06:00:58 +0100

python-pyproj (2.4.2~rc0+ds-1~exp1) experimental; urgency=medium

  * New upstream release candidate.
  * Drop Provides: ${python3:Provides}.

 -- Bas Couwenberg <sebastic@debian.org>  Tue, 26 Nov 2019 12:31:26 +0100

python-pyproj (2.4.1+ds-1) unstable; urgency=medium

  * New upstream release.
  * Move from experimental to unstable.

 -- Bas Couwenberg <sebastic@debian.org>  Wed, 06 Nov 2019 14:28:09 +0100

python-pyproj (2.4.1~rc0+ds-1~exp1) experimental; urgency=medium

  * New upstream release candidate.
  * Bump Standards-Version to 4.4.1, no changes.

 -- Bas Couwenberg <sebastic@debian.org>  Sat, 02 Nov 2019 07:03:53 +0100

python-pyproj (2.4.0+ds-1) unstable; urgency=medium

  * New upstream release.
  * Move from experimental to unstable.

 -- Bas Couwenberg <sebastic@debian.org>  Sat, 21 Sep 2019 06:27:00 +0200

python-pyproj (2.4~rc1+ds-1~exp1) experimental; urgency=medium

  * New upstream release candidate.
  * Drop patches, applied/fixed upstream.

 -- Bas Couwenberg <sebastic@debian.org>  Fri, 20 Sep 2019 14:50:23 +0200

python-pyproj (2.4~rc0+ds-1~exp1) experimental; urgency=medium

  * New upstream release candidate.
  * Update watch file for pre-releases.
  * Add patch to use python3 interpreter for tests.
  * Add patch to fix spelling errors.
  * Use ${python3:Provides} substvar in Provides field.

 -- Bas Couwenberg <sebastic@debian.org>  Thu, 19 Sep 2019 07:25:56 +0200

python-pyproj (2.3.1+ds-1) unstable; urgency=medium

  * Move from experimental to unstable.

 -- Bas Couwenberg <sebastic@debian.org>  Mon, 02 Sep 2019 13:26:21 +0200

python-pyproj (2.3.1+ds-1~exp1) experimental; urgency=medium

  * New upstream release.
  * Drop patches.

 -- Bas Couwenberg <sebastic@debian.org>  Sun, 01 Sep 2019 07:27:23 +0200

python-pyproj (2.3.0+ds-1) unstable; urgency=medium

  * Move from experimental to unstable.

 -- Bas Couwenberg <sebastic@debian.org>  Sun, 25 Aug 2019 15:34:52 +0200

python-pyproj (2.3.0+ds-1~exp2) experimental; urgency=medium

  * Add upstream patches to fix test failures.

 -- Bas Couwenberg <sebastic@debian.org>  Tue, 20 Aug 2019 05:56:37 +0200

python-pyproj (2.3.0+ds-1~exp1) experimental; urgency=medium

  * New upstream release.
  * Drop Python 2 package, no longer supported upstream.
  * Add python3-shapely to build dependencies.
  * Ignore test_datadir.py, causes FTBFS, see:
    https://github.com/pyproj4/pyproj/issues/400

 -- Bas Couwenberg <sebastic@debian.org>  Mon, 19 Aug 2019 16:48:49 +0200

python-pyproj (2.2.2+ds-1~exp2) experimental; urgency=medium

  * Drop aenum.patch, only required for Python < 3.6.
  * Disable tests for Python 2, see: #934116.

 -- Bas Couwenberg <sebastic@debian.org>  Wed, 07 Aug 2019 14:07:00 +0200

python-pyproj (2.2.2+ds-1~exp1) experimental; urgency=medium

  * New upstream release.
  * Update gbp.conf to use --source-only-changes by default.
  * Bump Standards-Version to 4.4.0, no changes.

 -- Bas Couwenberg <sebastic@debian.org>  Sat, 13 Jul 2019 06:48:05 +0200

# Older entries have been removed from this changelog.
# To read the complete changelog use `apt changelog python3-pyproj`.
